summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author dsomero2012-09-30 05:43:40 +0200
committer Robby Workman2012-10-01 03:01:05 +0200
commitdb2cdfde11d437a254e9580e00fac8541430c5bc (patch)
tree2aab9665e9c1d1f0aef47ea0f5fe2c6204d81da9
parente3cffbcbac4cf6b37364aaf4a350acc97b88c33a (diff)
downloadslackbuilds-db2cdfde11d437a254e9580e00fac8541430c5bc.tar.gz
perl/perl-IO-Socket-Multicast: Fixed (Remove perllocal.pod)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--perl/perl-IO-Socket-Multicast/perl-IO-Socket-Multicast.SlackBuild20
1 files changed, 11 insertions, 9 deletions
diff --git a/perl/perl-IO-Socket-Multicast/perl-IO-Socket-Multicast.SlackBuild b/perl/perl-IO-Socket-Multicast/perl-IO-Socket-Multicast.SlackBuild
index 1eb60ecd0e..26c9201e1b 100644
--- a/perl/perl-IO-Socket-Multicast/perl-IO-Socket-Multicast.SlackBuild
+++ b/perl/perl-IO-Socket-Multicast/perl-IO-Socket-Multicast.SlackBuild
@@ -24,7 +24,7 @@
PRGNAM=perl-IO-Socket-Multicast
VERSION=${VERSION:-1.12}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
SRC_PRGNAM=IO-Socket-Multicast
@@ -72,21 +72,23 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-perl Makefile.PL INSTALLDIRS=perl
+perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
make
make test
make install DESTDIR=$PKG
-# Move man pages
-mv $PKG/usr/share/man $PKG/usr/
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-# Compress man pages
find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-# Remove perllocal.pod and other special files that don't need to be installed
-find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" -exec rm -f {} \;
-# Remove empty directories
-find $PKG -depth -type d -empty -delete
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+find $PKG -depth -type d -empty -delete || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION